# $Revision: 1.20 $, $Date: 2012/02/16 18:05:51 $
Summary:	xfd application to display all characters in a font
Summary(pl.UTF-8):	Aplikacja xfd, wyświetlająca wszystkie znaki z fontu
Name:		xorg-app-xfd
Version:	1.1.1
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xfd-%{version}.tar.bz2
# Source0-md5:	b3893e03a5288927781acd5d3c65ba19
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	fontconfig-devel >= 2.0
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xfd application displays all the characters in a font using either the
X11 core protocol or libXft2.

%description -l pl.UTF-8
Aplikacja xfd wyświetla wszystkie znaki z fontu przy użyciu
podstawowego protokołu X11 lub libXft2.

%prep
%setup -q -n xfd-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xfd
%{_datadir}/X11/app-defaults/Xfd
%{_mandir}/man1/xfd.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xfd.spec,v $
Revision 1.20  2012/02/16 18:05:51  qboosh
- updated to 1.1.1

Revision 1.19  2011/01/29 00:07:51  sparky
- dropped pre-cvs changelog

Revision 1.18  2011/01/28 01:55:54  sparky
- BR: gettext-devel

Revision 1.17  2010/10/23 05:54:16  qboosh
- updated to 1.1.0
- removed obsolete xaw patch

Revision 1.16  2008/11/11 16:45:40  arekm
- rel 4

Revision 1.15  2008/11/07 20:51:20  arekm
- release 3

Revision 1.14  2008/07/27 23:02:16  arekm
- release 2

Revision 1.13  2007-02-12 22:09:23  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.11  2006/10/15 17:27:14  qboosh
- use individual dir, more verbose files, release 1

Revision 1.10  2006/01/16 11:09:30  qboosh
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

Revision 1.9  2006/01/12 14:41:54  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/12/09 15:27:29  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/22 01:02:49  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs
